Package com.meterware.httpunit

# Class AuthorizationRequiredException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.meterware.httpunit.AuthorizationRequiredException

All Implemented Interfaces:
  `Serializable`

public class AuthorizationRequiredException extends RuntimeException
This exception is thrown when an unauthorized request is made for a page that requires authentication.

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`static AuthorizationRequiredException`
`createBasicAuthenticationRequiredException(String realm)`
`String`
`getAuthenticationParameter(String parameterName)`
Returns the named authentication parameter.
`String`
`getAuthenticationScheme()`
Returns the name of the authentication scheme.
`String`
`getMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### createBasicAuthenticationRequiredException

public static AuthorizationRequiredException createBasicAuthenticationRequiredException(String realm)

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

### getAuthenticationScheme

public String getAuthenticationScheme()
Returns the name of the authentication scheme.

### getAuthenticationParameter

public String getAuthenticationParameter(String parameterName)
Returns the named authentication parameter. For Basic authentication, the only parameter is "realm".